#include "Barostat.h"

#include "No_barostat.h"

namespace MM
{

Barostat::
Barostat (Model & model, MD & simulation)
:
    model_(model),
    MD_simulation_(simulation),
    pressure_(model),
    desired_pressure_ (0),
    turn_flag_(false)
{
}

Barostat::~Barostat () {}


Barostat & Barostat::
none ()
{
    static No_barostat instance;
    return instance;
}

}//MM
